using Connected.Startup;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;
using Microsoft.Extensions.DependencyInjection;
using Connected.Services;

namespace Connected.Components.Showcase;

public class ClientStartup : IStartup
{
	public static IServiceProvider Services { get; private set; } = default!;

	public async Task Configure(WebAssemblyHost host)
	{
		Services = host.Services;
		
		await Task.CompletedTask;
	}

	public async Task ConfigureServices(IServiceCollection services)
	{
		await Task.CompletedTask;
	}
}
